<div class="container-xl">
  <div class="table-responsive">
    <div class="table-wrapper">
      <div class="table-title">
        <div class="row">
          <div class="col-sm-8">
            <h2>Posts <b>Details</b></h2>
          </div>
          <div class="d-flex justify-content-between col-sm-8">
            <button
              type="button"
              class="btn btn-primary"
              (click)="open(content)"
            >
              Add new post
            </button>
            <ng-template #content let-c="close" let-d="dismiss"
              ><app-modal-form
                action="Add"
                [c]="c"
                [d]="d"
                [form]="createPostForm"
                (postSubmited)="onAdd()"
              ></app-modal-form
            ></ng-template>
            <div>
              <input type="text" (blur)="filterPosts()" />
              <select
                class="custom-select mx-3"
                style="width: auto"
                [(ngModel)]="filterBy"
              >
                <option [ngValue]="1">Id</option>
                <option [ngValue]="2">Title</option>
                <option [ngValue]="3">Content</option>
                <option [ngValue]="4">Author</option>
              </select>
            </div>
          </div>
        </div>
      </div>
      <table class="table table-striped table-hover table-bordered">
        <thead>
          <tr>
            <th>
              #
              <i
                class="material-icons"
                (click)="onActive('id')"
                (click)="onSort('id')"
                [ngClass]="isActive.id !== 'disabled' ? 'active' : ''"
                >{{
                  isActive.id == "before"
                    ? "arrow_upward"
                    : isActive.id == "after"
                    ? "arrow_downward"
                    : "unfold_more"
                }}</i
              >
            </th>
            <th>
              Title
              <i
                class="material-icons"
                (click)="onActive('title')"
                (click)="onSort('title')"
                [ngClass]="isActive.title !== 'disabled' ? 'active' : ''"
                >{{
                  isActive.title == "before"
                    ? "arrow_upward"
                    : isActive.title == "after"
                    ? "arrow_downward"
                    : "unfold_more"
                }}</i
              >
            </th>
            <th>
              Content
              <i
                class="material-icons"
                (click)="onActive('content')"
                (click)="onSort('content')"
                [ngClass]="isActive.content !== 'disabled' ? 'active' : ''"
                >{{
                  isActive.content == "before"
                    ? "arrow_upward"
                    : isActive.content == "after"
                    ? "arrow_downward"
                    : "unfold_more"
                }}</i
              >
            </th>
            <th>
              Author
              <i
                class="material-icons"
                (click)="onActive('author')"
                (click)="onSort('author')"
                [ngClass]="isActive.author !== 'disabled' ? 'active' : ''"
                >{{
                  isActive.author == "before"
                    ? "arrow_upward"
                    : isActive.author == "after"
                    ? "arrow_downward"
                    : "unfold_more"
                }}</i
              >
            </th>
            <th>
              Time Elapsed
              <i
                class="material-icons"
                (click)="onActive('creation_date')"
                (click)="onSort('creation_date')"
                [ngClass]="
                  isActive.creation_date !== 'disabled' ? 'active' : ''
                "
                >{{
                  isActive.creation_date == "before"
                    ? "arrow_upward"
                    : isActive.creation_date == "after"
                    ? "arrow_downward"
                    : "unfold_more"
                }}</i
              >
            </th>
            <th>Actions</th>
          </tr>
        </thead>
        <tbody *ngFor="let post of posts; let i = index">
          <tr>
            <td>{{ post.id }}</td>
            <td>{{ post.title }}</td>
            <td class="word-wrap">{{ post.content }}</td>
            <td>{{ post.author }}</td>
            <td><div timeago [date]="post.creation_date"></div></td>
            <td>
              <a
                (click)="setForm(i)"
                (click)="open(updateContent)"
                class="edit"
                title="Edit"
                data-toggle="tooltip"
                ><i class="material-icons">&#xE254;</i></a
              >
              <a
                (click)="onDelete(i)"
                class="delete"
                title="Delete"
                data-toggle="tooltip"
                ><i class="material-icons">&#xE872;</i></a
              >
              <ng-template #updateContent let-c="close" let-d="dismiss">
                <app-modal-form
                  action="Update"
                  [d]="d"
                  [c]="c"
                  [form]="updatePostForm"
                  (postSubmited)="onEdit(i)"
                ></app-modal-form>
              </ng-template>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
  <div class="d-flex justify-content-between p-2">
    <ngb-pagination
      [collectionSize]="posts_count"
      [(page)]="page"
      [maxSize]="6"
      [pageSize]="limit"
      [rotate]="true"
      (pageChange)="onPageChanged()"
    ></ngb-pagination>
    <select
      class="custom-select"
      style="width: auto"
      [(ngModel)]="limit"
      (ngModelChange)="onPageChanged()"
    >
      <option [ngValue]="5">5 posts</option>
      <option [ngValue]="10">10 posts</option>
      <option [ngValue]="25">25 posts</option>
    </select>
  </div>
</div>
